[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TRunCommandEventCode

Enumeration for the various stages in a process run cycle

## Declaration

Source position: process.pp line 45

`type TRunCommandEventCode = (`
`RunCommandIdle,` |  | No data was available for reading
`RunCommandReadOutputString,` |  | Output from the command was read as a string
`RunCommandReadOutputStream,` |  | Output from the command was read
`RunCommandFinished,` |  | The command finished
`RunCommandException` |  | An error happened during reading of the command
`);`

## Description

TRunCommandEventCode is an enumerated type indicating the stage at which a process is during the RunCommandLoop call, reported through the TProcess.OnRunCommandEvent event handler.

## See also

TProcess.OnRunCommandEvent |  | Event handler, called when RunCommandLoop is executing
TProcess.RunCommandLoop |  | Execute command and collect output in strings